Your message dated Mon, 15 Apr 2013 08:40:10 +0100
with message-id <[email protected]>
and subject line Re: Bug#705039: tpu: routino/2.2-4+deb7u1
has caused the Debian Bug report #705039,
regarding tpu: routino/2.2-4+deb7u1
to be marked as done.
This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.
(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email protected]
immediately.)
--
705039: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=705039
Debian Bug Tracking System
Contact [email protected] with problems
--- Begin Message ---
Package: release.debian.org
Severity: normal
User: [email protected]
Usertags: unblock
Please unblock package routino
Hi,
I'd like to NMU routino to t-p-u to get this postrm bug fixed for
wheezy (#656586):
* purge fails on removal of a no longer existing directory
* remove and purge repeat the same action - only do it during purge
sid already has a new upstream version.
Andreas
unblock routino/2.2-4+deb7u1
diffstat for routino-2.2 routino-2.2
changelog | 9 +++++++++
routino-www.postrm | 27 ++++-----------------------
2 files changed, 13 insertions(+), 23 deletions(-)
diff -Nru routino-2.2/debian/changelog routino-2.2/debian/changelog
--- routino-2.2/debian/changelog 2012-05-09 08:28:30.000000000 +0200
+++ routino-2.2/debian/changelog 2013-04-09 12:24:54.000000000 +0200
@@ -1,3 +1,12 @@
+routino (2.2-4+deb7u1) testing; urgency=low
+
+ * Non-maintainer upload.
+ * routino-www.postrm: Don't fail on removal of a non-existing directory.
+ Don't repeat the same actions on remove and purge - only remove the
+ results directory during purge. (Closes: #656586)
+
+ -- Andreas Beckmann <[email protected]> Tue, 09 Apr 2013 12:09:30 +0200
+
routino (2.2-4) unstable; urgency=low
* routino-www: added OSM CycleMap to list of layers
diff -Nru routino-2.2/debian/routino-www.postrm routino-2.2/debian/routino-www.postrm
--- routino-2.2/debian/routino-www.postrm 2012-03-07 11:07:10.000000000 +0100
+++ routino-2.2/debian/routino-www.postrm 2013-04-09 12:15:25.000000000 +0200
@@ -7,29 +7,10 @@
set -x
fi
-case "$1" in
- purge)
- rm -rf /var/lib/routino/results
- rmdir --ignore-fail-on-non-empty /var/lib/routino/data
-
- ;;
- remove)
- rm -rf /var/lib/routino/results
- rmdir --ignore-fail-on-non-empty /var/lib/routino/data
-
- ;;
-
- upgrade)
-
- ;;
-
- failed-upgrade|abort-install|abort-upgrade|disappear)
- ;;
- *)
- echo "postrm called with unknown argument \`$1'" >&2
- exit 1
-
-esac
+if [ "$1" = "purge" ]; then
+ rm -rf /var/lib/routino/results
+ rmdir --ignore-fail-on-non-empty /var/lib/routino/data || true
+fi
#DEBHELPER#
--- End Message ---
--- Begin Message ---
On Wed, Apr 10, 2013 at 01:19:21AM +0200, Andreas Beckmann wrote:
> Control: tags -1 pending
>
> On 2013-04-09 21:06, Adam D. Barratt wrote:
> > Control: tags -1 + confirmed
> >
> > On Tue, 2013-04-09 at 12:35 +0200, Andreas Beckmann wrote:
> >> I'd like to NMU routino to t-p-u to get this postrm bug fixed for
> >> wheezy (#656586):
> >>
> >> * purge fails on removal of a no longer existing directory
> >> * remove and purge repeat the same action - only do it during purge
> >>
> >> sid already has a new upstream version.
> >
> > Please go ahead.
>
> Uploaded to DELAYED/5.
Approved, thanks.
--
Jonathan Wiltshire [email protected]
Debian Developer http://people.debian.org/~jmw
4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC 74C3 5394 479D D352 4C51
<directhex> i have six years of solaris sysadmin experience, from
8->10. i am well qualified to say it is made from bonghits
layered on top of bonghits
signature.asc
Description: Digital signature
--- End Message ---